<?php

namespace app\jsonrpc;

use Wandoubaba\Res;

class User
{
    /**
     * 提供rpc调用的服务方法示例，方法属性是public static
     *
     * @author Aaron <chenqiang@h024.cn>
     *
     * @param string $name
     * @param string $password
     * 
     * @return array Res转换的数组
     */
    public static function login(string $name, string $password)
    {
        $res = new Res();
        $correct = password_hash('123456', PASSWORD_DEFAULT);
        if (password_verify($password, $correct)) {
            $res->success()->setMsg("user {$name} login success.");
        } else {
            $res->failed()->setMsg("user {$name} login failed.");
        }
        return $res;
    }
}
